<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>investment-oficial documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">investment-oficial documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>MaterialModule</li>
</ol>


<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/material-module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import {NgModule} from &#x27;@angular/core&#x27;;
import {A11yModule} from &#x27;@angular/cdk/a11y&#x27;;
import {ClipboardModule} from &#x27;@angular/cdk/clipboard&#x27;;
import {DragDropModule} from &#x27;@angular/cdk/drag-drop&#x27;;
import {PortalModule} from &#x27;@angular/cdk/portal&#x27;;
import {ScrollingModule} from &#x27;@angular/cdk/scrolling&#x27;;
import {CdkStepperModule} from &#x27;@angular/cdk/stepper&#x27;;
import {CdkTableModule} from &#x27;@angular/cdk/table&#x27;;
import {CdkTreeModule} from &#x27;@angular/cdk/tree&#x27;;
import {MatAutocompleteModule} from &#x27;@angular/material/autocomplete&#x27;;
import {MatBadgeModule} from &#x27;@angular/material/badge&#x27;;
import {MatBottomSheetModule} from &#x27;@angular/material/bottom-sheet&#x27;;
import {MatButtonModule} from &#x27;@angular/material/button&#x27;;
import {MatButtonToggleModule} from &#x27;@angular/material/button-toggle&#x27;;
import {MatCardModule} from &#x27;@angular/material/card&#x27;;
import {MatCheckboxModule} from &#x27;@angular/material/checkbox&#x27;;
import {MatChipsModule} from &#x27;@angular/material/chips&#x27;;
import {MatStepperModule} from &#x27;@angular/material/stepper&#x27;;
import {MatDatepickerModule} from &#x27;@angular/material/datepicker&#x27;;
import {MatDialogModule} from &#x27;@angular/material/dialog&#x27;;
import {MatDividerModule} from &#x27;@angular/material/divider&#x27;;
import {MatExpansionModule} from &#x27;@angular/material/expansion&#x27;;
import {MatGridListModule} from &#x27;@angular/material/grid-list&#x27;;
import {MatIconModule} from &#x27;@angular/material/icon&#x27;;
import {MatInputModule} from &#x27;@angular/material/input&#x27;;
import {MatListModule} from &#x27;@angular/material/list&#x27;;
import {MatMenuModule} from &#x27;@angular/material/menu&#x27;;
import {MatNativeDateModule, MatRippleModule} from &#x27;@angular/material/core&#x27;;
import {MatPaginatorModule} from &#x27;@angular/material/paginator&#x27;;
import {MatProgressBarModule} from &#x27;@angular/material/progress-bar&#x27;;
import {MatProgressSpinnerModule} from &#x27;@angular/material/progress-spinner&#x27;;
import {MatRadioModule} from &#x27;@angular/material/radio&#x27;;
import {MatSelectModule} from &#x27;@angular/material/select&#x27;;
import {MatSidenavModule} from &#x27;@angular/material/sidenav&#x27;;
import {MatSliderModule} from &#x27;@angular/material/slider&#x27;;
import {MatSlideToggleModule} from &#x27;@angular/material/slide-toggle&#x27;;
import {MatSnackBarModule} from &#x27;@angular/material/snack-bar&#x27;;
import {MatSortModule} from &#x27;@angular/material/sort&#x27;;
import {MatTableModule} from &#x27;@angular/material/table&#x27;;
import {MatTabsModule} from &#x27;@angular/material/tabs&#x27;;
import {MatToolbarModule} from &#x27;@angular/material/toolbar&#x27;;
import {MatTooltipModule} from &#x27;@angular/material/tooltip&#x27;;
import {MatTreeModule} from &#x27;@angular/material/tree&#x27;;
import {OverlayModule} from &#x27;@angular/cdk/overlay&#x27;;

@NgModule({
  exports: [
    A11yModule,
    ClipboardModule,
    CdkStepperModule,
    CdkTableModule,
    CdkTreeModule,
    DragDropModule,
    MatAutocompleteModule,
    MatBadgeModule,
    MatBottomSheetModule,
    MatButtonModule,
    MatButtonToggleModule,
    MatCardModule,
    MatCheckboxModule,
    MatChipsModule,
    MatStepperModule,
    MatDatepickerModule,
    MatDialogModule,
    MatDividerModule,
    MatExpansionModule,
    MatGridListModule,
    MatIconModule,
    MatInputModule,
    MatListModule,
    MatMenuModule,
    MatNativeDateModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatProgressSpinnerModule,
    MatRadioModule,
    MatRippleModule,
    MatSelectModule,
    MatSidenavModule,
    MatSliderModule,
    MatSlideToggleModule,
    MatSnackBarModule,
    MatSortModule,
    MatTableModule,
    MatTabsModule,
    MatToolbarModule,
    MatTooltipModule,
    MatTreeModule,
    OverlayModule,
    PortalModule,
    ScrollingModule,
  ]

})
export class MaterialModule {}
</code></pre>
    </div>
</div>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'MaterialModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
